Loading...
Searching...
No Matches
mmalloc.h File Reference

Go to the source code of this file.

## Functions

void * | reallocSize (void *old_addr, size_t old_size, size_t new_size)
void | freeSize (void *addr, size_t size)

## Function Documentation

## freeSize()

void freeSize | ( | void * | addr,
|  | size_t | size )

Definition at line 95 of file omalloc.c.

{
if (addr) omFreeSize(addr, size);
}
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600
omFreeSize
#define omFreeSize(addr, size)
Definition omAllocDecl.h:260

## reallocSize()

void * reallocSize | ( | void * | old_addr,
|  | size_t | old_size,
|  | size_t | new_size )

Definition at line 100 of file omalloc.c.

{
if (old_addr && new_size)
{
void* new_addr;
omTypeReallocAlignedSize(old_addr, old_size, void*, new_addr, new_size);
OM_MARK_AS_STATIC(new_addr);
return new_addr;
}
else
{
freeSize(old_addr, old_size);
return malloc(new_size);
}
}
omTypeReallocAlignedSize
#define omTypeReallocAlignedSize
Definition omAllocDecl.h:276
freeSize
#define freeSize
Definition omAllocFunc.c:15
malloc
#define malloc
Definition omAllocFunc.c:12
OM_MARK_AS_STATIC
#define OM_MARK_AS_STATIC(addr)
Definition omalloc.c:20